#!/usr/bin/env python3
#Lista 1

from numpy import array
from control import ss,tf,ss2tf
#Exercicio 1
m = 22.6*10**-3
R = 19.9
L = 0.520
L0 = 2.49*10**-2
z0 = 4.5*10**-3
a = 6.72*10**-3
g = 9.81

ie = (((m*g*2*a)/L0)**0.5)*(1+z0/a)
k2 = (L0*ie**2)/(a**2*(1+z0/a)**3)
k1 = (L0*ie)/(a*(1+z0/a)**2)

A = array([[0,1,0],[k2/m,0,-k1/m],[0,0,-R/L]])
B = array([[0,0,1/L]]).T
C = array([[1,0,0]])
D = array([[0]])
G = ss2tf(A,B,C,D)
print(G)

# G = 
# 1.421e-14 s^2 - 2.046e-12 s - 65.33
# '----------------------------------'
# s^3 + 38.27 s^2 - 1749 s - 6.692e+04