#!/usr/bin/env python3
# -*- coding: latin-1 -*-
import os,sys

#Exercio 6
import numpy as np
from numpy import array,concatenate
from numpy.linalg import solve

def print_representation(b_arrays,x,array_name):
    Qx = concatenate(b_arrays,1)
    x_basis = solve(Qx,x)
    print("Representao de \n",array_name," = ",Qx,"*" ,x_basis,"\n")
    print("Base de ",array_name," = ",x_basis,"\n")
    #return x_basis

q1 = array([[3,1]]).T
q2 = array([[2,2]]).T
i2 = array([[0,1]]).T
x = array([[1,3]]).T

if __name__ == '__main__':

    print_representation((q1,i2),x,'x') #Representacao de X
    print_representation((i2,q2),q1,'q') #Representacao de q

pass
